GET api/NTOrderSettings/GetSupplyType?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfSupplyTypeDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of SupplyTypeDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"Id": 1,
"Name": "sample string 2",
"SupplyId": 3,
"Sequence": 4,
"CPTCode": "sample string 5",
"TangAndCompanyCode": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:51:18.5684245-07:00",
"DateUpdated": "2026-06-20T12:51:18.5684245-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
},
{
"Id": 1,
"Name": "sample string 2",
"SupplyId": 3,
"Sequence": 4,
"CPTCode": "sample string 5",
"TangAndCompanyCode": "sample string 6",
"ValidFlag": true,
"DateCreated": "2026-06-20T12:51:18.5684245-07:00",
"DateUpdated": "2026-06-20T12:51:18.5684245-07:00",
"UserIDCreated": 10,
"UserIDUpdated": 11,
"CompanyCode": "sample string 12",
"IsExcludeDiscount": true
}
],
"totalCount": 3
}